Subject: Re: Aborting 'rebase main feat' removes unversioned files

From: Bagas Sanjaya <[email-masked]>
Date: Sat, 4 Sep 2021 13:57:11 +0700

On 04/09/21 03.33, Fedor Biryukov wrote:
> Looks like a bug in git rebase main feat.
> 
> To reproduce:
> git init
> git commit -m 'init' --allow-empty
> git checkout -b feat
> echo 123 > readme.txt
> git add readme.txt
> git commit -m 'txt=123'
> git checkout main
> echo 012 > readme.txt
> git rebase main feat
> git rebase --abort
> 

Did you forget committing?

> Expected result:
> readme.txt contains 012
> 
> Actual result:
> readme.txt contains 123
> 
> According to the docs, git rebase main feat is a shorthand for git checkout feat followed by git rebase main. I have checked that doing checkout and rebase separately instead of using the shorthand does not have the same issue.

I think this is non-issue (behavior as intended).

So when you say `git rebase main feat`, Git will rebase your commits in 
feat on top of main. If any conflicts occur and you abort rebasing (`git 
rebase --abort`), your feat branch just looks like before rebasing.

-- 
An old man doll... just what I always wanted! - Clara